import { DeploymentGroupConfig, DeploymentTargetConfig } from "@takomo/deployment-targets-config";
import { DeploymentTargetsContext } from "@takomo/deployment-targets-context";
import { OperationState } from "@takomo/stacks-model";
import { Timer, TkmLogger } from "@takomo/util";
import { DeploymentTargetsListener } from "../operation/model";
import { DeploymentGroupRunResult, DeploymentTargetRunResult, DeploymentTargetsRunInput, DeploymentTargetsRunIO, DeploymentTargetsRunOutput, TargetsRunPlan } from "./model";
export declare const processDeploymentTarget: (props: RunProps, group: DeploymentGroupConfig, target: DeploymentTargetConfig, timer: Timer, state: OperationState, logger: TkmLogger, mapArgs: unknown) => Promise<DeploymentTargetRunResult>;
/**
 * @hidden
 */
export declare const processDeploymentGroup: (props: RunProps, group: DeploymentGroupConfig, timer: Timer, state: OperationState, listener: DeploymentTargetsListener, mapArgs: unknown) => Promise<DeploymentGroupRunResult>;
interface RunProps {
    readonly ctx: DeploymentTargetsContext;
    readonly input: DeploymentTargetsRunInput;
    readonly io: DeploymentTargetsRunIO;
    readonly plan: TargetsRunPlan;
    readonly listener: DeploymentTargetsListener;
}
export declare const run: (props: RunProps) => Promise<DeploymentTargetsRunOutput>;
export {};
